# fluff
[![DOI](https://zenodo.org/badge/4346865.svg)](https://zenodo.org/badge/latestdoi/4346865)
[![bioconda-badge](https://img.shields.io/badge/install%20with-bioconda-brightgreen.svg?style=flat)](http://bioconda.github.io)
[![PyPI version](https://badge.fury.io/py/biofluff.svg)](https://badge.fury.io/py/biofluff)
[![Build Status](https://travis-ci.org/simonvh/fluff.svg?branch=master)](https://travis-ci.org/simonvh/fluff)
[![Code Health](https://landscape.io/github/simonvh/fluff/master/landscape.svg?style=flat)](https://landscape.io/github/simonvh/fluff/master)

See [full fluff documentation](http://fluff.readthedocs.org/) for detailed installation instructions and usage examples.

## Quick Installation

**Please note**: from version 3.0 on, fluff only works on Python 3.6+ and Python 2.x will no longer be supported. 
For a Python 2 version you can install fluff 2.1.4. 
Keep in mind that most scientific Python software will stop supporting Python 2 in 2020: https://python3statement.org/.

The most straightforward way to install fluff is with [conda](https://docs.continuum.io/anaconda) using the [bioconda](https://bioconda.github.io/) channel.

If you have not used bioconda yet, first set up the necessary channels (in this order):

```
$ conda config --add channels defaults
$ conda config --add channels bioconda
$ conda config --add channels conda-forge
```

Now you can install fluff:

`$ conda install biofluff`

## Quick Usage

See the quick examples in the [Usage](http://fluff.readthedocs.io/en/latest/usage.html) section.

## Citing

If you find fluff useful, please cite:

Georgiou G, van Heeringen SJ. (2016) fluff: exploratory analysis and visualization of high-throughput sequencing data. PeerJ 4:e2209 [doi: 10.7717/peerj.2209](https://doi.org/10.7717/peerj.2209).

## Help

* Full documentation:
  [http://fluff.readthedocs.io/](http://fluff.readthedocs.io/).
* The preferred way to get support is through the Github
  [issues](https://github.com/simonvh/fluff/issues/) page
* Finally, you can reach me by [mail](simon.vanheeringen@gmail.com) or
  [Twitter](https://twitter.com/svheeringen).

## Contributors

* Simon van Heeringen (@simonvh)
* Georgios Georgiou (@georgeg9)
* Zhuoqing Fang (@BioNinja)

## License

This module is licensed under the terms of the [MIT
license](https://opensource.org/licenses/MIT).
